// ----- midiout.h
#ifndef MIDIOUT_H
#define MIDIOUT_H

#include <mmsystem.h>

class MidiOut	{
	HMIDIOUT hMidiOut;
	short int numDevices;
	short int currDevice;
public:
	MidiOut();
	~MidiOut();
	void DeviceList(CListBox* dlist);
	void SendEvent(DWORD dwEvent);
	void StartMessage();
	void TimingMessage();
	void StopMessage();
	BOOL ChangeDevice(short int device);
	void CloseDevice();
};
inline void MidiOut::SendEvent(DWORD dwEvent)
{
	if (hMidiOut != 0)
		midiOutShortMsg(hMidiOut, dwEvent);
}
#endif
